Subject: Re: [PATCH v2] Introduce new configuation option to override committer information

From: Thomas Rast <[email-masked]>
Date: Thu, 20 Jan 2011 13:52:01 +0100

Stephen Kelly wrote:
> 
> Is this patch going to become part of git, or is it in already?
> 
> If not it will probably just get lost because there is no issue tracker.

Discussion stalled without an agreement that any patch proposed is
"good", so if it ends here it will be dropped.

You could probably help getting closer to a solution by:

* Not dropping Cc's all the time.  I saw this email just by chance.

* Stating *why* this cannot be solved in any other way on the KDE
  end.  So far you only said

  > > Is it impossible to fix this on the KDE side?  I would think a
  > > many-to-one mapping from committer identities to bugzilla account
  > > names could be a useful thing to have in any case.
  > 
  > I asked that before coming here, and apparently that is not possible.

  My gut feeling is that a footer line in the commit along the lines
  of

    Bugzilla-Id: Registered Name <[email-masked]>

  would work.  I suspect others have a similar feeling.  A good case
  why this is not a feasible solution for (presumably) border cases
  like you would help get rid of it.

* Replying to e.g.

    http://mid.gmane.org/[email-masked]

  with (ideally better) ideas of what the semantics should be.  My
  assessment is that it either conflicts with user expectations or
  with established git-config mechanisms of how the various files
  override each other.

-- 
Thomas Rast
trast@{inf,student}.ethz.ch